#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


echo "    --  Loading database entries for migration "
rm -rf /tmp/finalbase.ldif
ldapsearch -x -D cn=admin,dc=ipconnect,dc=fr -w adminLDAP -LLL -b ou=ipc,dc=ipconnect,dc=fr "(!(ou=annuaires))" > /tmp/base.ldif
cat > /tmp/header.ldif <<EOF
dn: dc=ipconnect,dc=fr
objectClass: dcObject
objectClass: organization
dc: ipconnect
o: ipconnect

dn: ou=ipc,dc=ipconnect,dc=fr
objectClass: organizationalUnit
ou: annuaires
ou: ipc
userPassword: {SHA}0DPiKuNIrrVmD8IUCuw1hQxNqZc=

dn: ipclogin=admin,ou=ipc,dc=ipconnect,dc=fr
objectClass: useripc
ipclogin: admin
ipcpassword: {SHA}ZDAzM2UyMmFlMzQ4YWViNTY2MGZjMjE0MGFlYzM1ODUwYzRkYTk5Nw==
ipcadmin: 1

EOF
cat /tmp/header.ldif /tmp/base.ldif > /tmp/finalbase.ldif


echo "    --  Updating LDAP structure and password"
systemctl stop slapd
rm -rf /var/lib/ldap/*

mkdir -p /var/lib/ldap

if [ $OS = "centos" ]
then
    rm -rf /etc/openldap/slapd.d/cn\=config*
    slapadd -n0 -F /etc/openldap/slapd.d -l $DIR/config_centos.ldif
    slapadd -n1 -F /etc/openldap/slapd.d -l /tmp/finalbase.ldif
    chown -R ldap:ldap /var/lib/ldap
    chown -R ldap:ldap /etc/openldap/slapd.d
else
    rm -rf /etc/ldap/slapd.d/cn\=config*
    slapadd -n0 -F /etc/ldap/slapd.d -l $DIR/config_debian.ldif
    slapadd -n1 -F /etc/ldap/slapd.d -l /tmp/finalbase.ldif
    chown -R openldap:openldap /var/lib/ldap
    chown -R openldap:openldap /etc/ldap/slapd.d
fi

systemctl reset-failed
systemctl start slapd

rm -f /usr/share/ombutel/www/phonebookmanager/index.html
