#!/bin/bash
. /etc/os-release
OS=$ID
PRODUCTNAME="phonebookmanager"
TMPDIR="/tmp/phonebookmanager"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=2

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

if [ ! -f /etc/phonebookmanager/params.php ]
then
  echo "Creating configuration file"
  cp -f $INSTALLDIR/$PRODUCTNAME/config/params.php.template /etc/phonebookmanager/params.php
  chmod 755 /etc/phonebookmanager
fi

if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    OLDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
NEWVERSION=$(head -n 1 "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)
echo "    --  Updating from $MAJORVERSION.$OLDVERSION to $MAJORVERSION.$NEWVERSION"

#On va faire une boucle à partir de "ancienne version + 1" jusqu'a la derniere version incluse
i=$(($OLDVERSION+1))
if [ $OLDVERSION -eq $NEWVERSION ]
then
    echo "    --  Updating same version but different revision, Update scripts WILL NOT BE EXECUTED ! Execute it manually if needed."
fi

while [ $i -le $NEWVERSION ]
do
    echo "    --  Executing patch $MAJORVERSION.$i"
    find "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i" -name '*' -exec dos2unix {} 2> /dev/null \;
    bash "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i/update.sh"
    i=$(($i+1))
done

chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/backupcontacts.php
chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/changeLdapPassword.php
chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/resetpassword.php
chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/SyncInternal.php
chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/add_ldap_user
chmod +x $INSTALLDIR/$PRODUCTNAME/scripts/delete_ldap_user

echo "$MAJORVERSION.$NEWVERSION" > "$IPCDIR/$PRODUCTNAME.ver"
echo "    --  Update finished"

rm -rf "$TMPDIR"
exit