#!/bin/bash
. /etc/os-release
OS=$ID
PRODUCTNAME="phonebookmanager"
TMPDIR="/tmp/phonebookmanager"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=2

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

#if phonebookmanager is already installed (but not using deb or rpm), assuming v2.0
if [ -d "$INSTALLDIR/$PRODUCTNAME" ]
then
    if [ ! -f "$IPCDIR/$PRODUCTNAME.ver" ]
    then
        echo "    -- Phonebook files already installed but without version file. Assuming v2.0"
        echo "2.0" > "$IPCDIR/$PRODUCTNAME.ver"
    fi
fi

# before update, make a copy in correct dir of settings from old dir to new dir.
mkdir -p /etc/phonebookmanager
chmod 755 /etc/phonebookmanager
if  [ -f $INSTALLDIR/$PRODUCTNAME/config/params.php ] && [ ! -f /etc/phonebookmanager/params.php ]
then
  mv $INSTALLDIR/$PRODUCTNAME/config/params.php /etc/phonebookmanager/params.php
  dos2unix /etc/phonebookmanager/params.php
fi
if [ $OS = "centos" ]
then
    chown apache:apache -R /etc/phonebookmanager
else
    chown www-data:www-data -R /etc/phonebookmanager
fi

exit